%%%---------------------------------------
%%% module      : data_dress_up
%%% description : 装扮配置
%%%
%%%---------------------------------------
-module(data_dress_up).
-compile(export_all).
-include("rec_dress_up.hrl").



get_dress_cfg(420001) ->
    #base_dress_up{dress_id = 420001,dress_type = 2,dress_name = "源像框",dress_desc = "朴实无华，用过的人都说好",dress_consume_id = 420001,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 1,sequence = 1,open_day = 0,open_time = 0};

get_dress_cfg(420002) ->
    #base_dress_up{dress_id = 420002,dress_type = 2,dress_name = "尊贵用户",dress_desc = "纯金打造！壕气满满！",dress_consume_id = 420002,dress_attr = [{1,80},{2,2000},{4,120}],is_default = 0,sequence = 2,open_day = 0,open_time = 0};

get_dress_cfg(420003) ->
    #base_dress_up{dress_id = 420003,dress_type = 2,dress_name = "落樱季",dress_desc = "樱花飘落的季节",dress_consume_id = 420003,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 3,open_day = 0,open_time = 0};

get_dress_cfg(420004) ->
    #base_dress_up{dress_id = 420004,dress_type = 2,dress_name = "黑白漫画",dress_desc = "记忆中黑白色的漫画",dress_consume_id = 420004,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 4,open_day = 0,open_time = 0};

get_dress_cfg(420005) ->
    #base_dress_up{dress_id = 420005,dress_type = 2,dress_name = "冰雪盛典",dress_desc = "冰与雪的庆典",dress_consume_id = 420005,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 5,open_day = 0,open_time = 0};

get_dress_cfg(420006) ->
    #base_dress_up{dress_id = 420006,dress_type = 2,dress_name = "超级英雄",dress_desc = "英雄永不落幕",dress_consume_id = 420006,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 6,open_day = 0,open_time = 0};

get_dress_cfg(420007) ->
    #base_dress_up{dress_id = 420007,dress_type = 2,dress_name = "炫彩电音",dress_desc = "崩！崩！崩！跟上我的节奏",dress_consume_id = 420007,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 7,open_day = 0,open_time = 0};

get_dress_cfg(420008) ->
    #base_dress_up{dress_id = 420008,dress_type = 2,dress_name = "钱不是问题",dress_desc = "钱不是问题，那么问题是？",dress_consume_id = 420008,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 8,open_day = 0,open_time = 0};

get_dress_cfg(420009) ->
    #base_dress_up{dress_id = 420009,dress_type = 2,dress_name = "锦鲤跃空",dress_desc = "戴上这只锦鲤，好运马上来！",dress_consume_id = 420009,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 9,open_day = 0,open_time = 0};

get_dress_cfg(420010) ->
    #base_dress_up{dress_id = 420010,dress_type = 2,dress_name = "萌宠柯基",dress_desc = "柯基~柯基~",dress_consume_id = 420010,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 10,open_day = 0,open_time = 0};

get_dress_cfg(420011) ->
    #base_dress_up{dress_id = 420011,dress_type = 2,dress_name = "冰与火之歌",dress_desc = "红蓝的交错，冰霜与火焰的史诗",dress_consume_id = 420011,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 11,open_day = 0,open_time = 0};

get_dress_cfg(420012) ->
    #base_dress_up{dress_id = 420012,dress_type = 2,dress_name = "这不是绵羊",dress_desc = "我不是绵羊，我是羊驼~",dress_consume_id = 420012,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 12,open_day = 0,open_time = 0};

get_dress_cfg(420013) ->
    #base_dress_up{dress_id = 420013,dress_type = 2,dress_name = "清凉夏日",dress_desc = "夏天必须配上可乐与冰沙！",dress_consume_id = 420013,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 13,open_day = 0,open_time = 0};

get_dress_cfg(420014) ->
    #base_dress_up{dress_id = 420014,dress_type = 2,dress_name = "未来战士",dress_desc = "来自未来的超级战士",dress_consume_id = 420014,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 14,open_day = 0,open_time = 0};

get_dress_cfg(420015) ->
    #base_dress_up{dress_id = 420015,dress_type = 2,dress_name = "唱跳RAP",dress_desc = "哟~只因你太美",dress_consume_id = 420015,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 15,open_day = 0,open_time = 0};

get_dress_cfg(420016) ->
    #base_dress_up{dress_id = 420016,dress_type = 2,dress_name = "燃烧炸裂",dress_desc = "爆炸是在密集空间中的燃烧",dress_consume_id = 420016,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 16,open_day = 0,open_time = 0};

get_dress_cfg(420017) ->
    #base_dress_up{dress_id = 420017,dress_type = 2,dress_name = "年度纪念",dress_desc = "新年新气象",dress_consume_id = 420017,dress_attr = [{1,40},{2,1000},{4,60}],is_default = 0,sequence = 17,open_day = 0,open_time = 0};

get_dress_cfg(420018) ->
    #base_dress_up{dress_id = 420018,dress_type = 2,dress_name = "荣耀勋章",dress_desc = "给你一张大奖状",dress_consume_id = 420018,dress_attr = [{1,80},{2,2000},{4,120}],is_default = 0,sequence = 18,open_day = 0,open_time = 0};

get_dress_cfg(425001) ->
    #base_dress_up{dress_id = 425001,dress_type = 1,dress_name = "源气泡",dress_desc = "朴实无华，用过的人都说好",dress_consume_id = 425001,dress_attr = [{1,24},{2,600},{4,36}],is_default = 1,sequence = 1,open_day = 0,open_time = 0};

get_dress_cfg(425002) ->
    #base_dress_up{dress_id = 425002,dress_type = 1,dress_name = "尊贵用户",dress_desc = "纯金打造！壕气满满！",dress_consume_id = 425002,dress_attr = [{1,60},{2,1500},{4,90}],is_default = 0,sequence = 2,open_day = 0,open_time = 0};

get_dress_cfg(425003) ->
    #base_dress_up{dress_id = 425003,dress_type = 1,dress_name = "落樱季",dress_desc = "樱花飘落的季节",dress_consume_id = 425003,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 3,open_day = 0,open_time = 0};

get_dress_cfg(425004) ->
    #base_dress_up{dress_id = 425004,dress_type = 1,dress_name = "黑白漫画",dress_desc = "记忆中黑白色的漫画",dress_consume_id = 425004,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 4,open_day = 0,open_time = 0};

get_dress_cfg(425005) ->
    #base_dress_up{dress_id = 425005,dress_type = 1,dress_name = "冰雪盛典",dress_desc = "冰与雪的庆典",dress_consume_id = 425005,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 5,open_day = 0,open_time = 0};

get_dress_cfg(425006) ->
    #base_dress_up{dress_id = 425006,dress_type = 1,dress_name = "超级英雄",dress_desc = "英雄永不落幕",dress_consume_id = 425006,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 6,open_day = 0,open_time = 0};

get_dress_cfg(425007) ->
    #base_dress_up{dress_id = 425007,dress_type = 1,dress_name = "炫彩电音",dress_desc = "崩！崩！崩！跟上我的节奏",dress_consume_id = 425007,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 7,open_day = 0,open_time = 0};

get_dress_cfg(425008) ->
    #base_dress_up{dress_id = 425008,dress_type = 1,dress_name = "钱不是问题",dress_desc = "钱不是问题，那么问题是？",dress_consume_id = 425008,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 8,open_day = 0,open_time = 0};

get_dress_cfg(425009) ->
    #base_dress_up{dress_id = 425009,dress_type = 1,dress_name = "飞天锦鲤",dress_desc = "戴上这只锦鲤，好运马上来！",dress_consume_id = 425009,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 9,open_day = 0,open_time = 0};

get_dress_cfg(425010) ->
    #base_dress_up{dress_id = 425010,dress_type = 1,dress_name = "萌宠柯基",dress_desc = "柯基~柯基~",dress_consume_id = 425010,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 10,open_day = 0,open_time = 0};

get_dress_cfg(425011) ->
    #base_dress_up{dress_id = 425011,dress_type = 1,dress_name = "冰与火之歌",dress_desc = "红蓝的交错，冰霜与火焰的史诗",dress_consume_id = 425011,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 11,open_day = 0,open_time = 0};

get_dress_cfg(425012) ->
    #base_dress_up{dress_id = 425012,dress_type = 1,dress_name = "这不是绵羊",dress_desc = "我不是绵羊，我是羊驼~",dress_consume_id = 425012,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 12,open_day = 0,open_time = 0};

get_dress_cfg(425013) ->
    #base_dress_up{dress_id = 425013,dress_type = 1,dress_name = "清凉夏日",dress_desc = "夏天必须配上可乐与冰沙！",dress_consume_id = 425013,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 13,open_day = 0,open_time = 0};

get_dress_cfg(425014) ->
    #base_dress_up{dress_id = 425014,dress_type = 1,dress_name = "飞向宇宙",dress_desc = "我们的征途是星辰大海",dress_consume_id = 425014,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 14,open_day = 0,open_time = 0};

get_dress_cfg(425015) ->
    #base_dress_up{dress_id = 425015,dress_type = 1,dress_name = "坐看云起",dress_desc = "行到水穷处，坐看云起时",dress_consume_id = 425015,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 15,open_day = 0,open_time = 0};

get_dress_cfg(425016) ->
    #base_dress_up{dress_id = 425016,dress_type = 1,dress_name = "千里相思",dress_desc = "念念不忘，必有回响",dress_consume_id = 425016,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 16,open_day = 0,open_time = 0};

get_dress_cfg(425017) ->
    #base_dress_up{dress_id = 425017,dress_type = 1,dress_name = "奔月科技",dress_desc = "让我们踏上月球",dress_consume_id = 425017,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 17,open_day = 0,open_time = 0};

get_dress_cfg(425018) ->
    #base_dress_up{dress_id = 425018,dress_type = 1,dress_name = "春暖花开",dress_desc = "春日踏青，艳阳高照",dress_consume_id = 425018,dress_attr = [{1,24},{2,600},{4,36}],is_default = 0,sequence = 18,open_day = 0,open_time = 0};

get_dress_cfg(_Dressid) ->
    [].

get_all_dress_type() ->
    [2,1].


get_dress_list(2) ->
    [420001,420002,420003,420004,420005,420006,420007,420008,420009,420010,420011,420012,420013,420014,420015,420016,420017,420018];


get_dress_list(1) ->
    [425001,425002,425003,425004,425005,425006,425007,425008,425009,425010,425011,425012,425013,425014,425015,425016,425017,425018];

get_dress_list(_Dresstype) ->
    [].


get_default_dress_list(1) ->
    [420001,425001];


get_default_dress_list(0) ->
    [420002,420003,420004,420005,420006,420007,420008,420009,420010,420011,420012,420013,420014,420015,420016,420017,420018,425002,425003,425004,425005,425006,425007,425008,425009,425010,425011,425012,425013,425014,425015,425016,425017,425018];

get_default_dress_list(_Isdefault) ->
    [].

get_default_dress(2,IsDefault) when IsDefault == 1 ->
		420001;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420002;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420003;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420004;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420005;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420006;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420007;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420008;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420009;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420010;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420011;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420012;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420013;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420014;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420015;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420016;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420017;
get_default_dress(2,IsDefault) when IsDefault == 0 ->
		420018;
get_default_dress(1,IsDefault) when IsDefault == 1 ->
		425001;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425002;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425003;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425004;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425005;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425006;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425007;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425008;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425009;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425010;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425011;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425012;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425013;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425014;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425015;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425016;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425017;
get_default_dress(1,IsDefault) when IsDefault == 0 ->
		425018;
get_default_dress(_Dress_type,_IsDefault) ->
    [].

